from setuptools import setup, find_packages

setup(
    name="nepali-toolkit",
    version="0.1.0",
    author="Bibek Joshi",
    author_email="bibekjoshi34@gmail.com",
    description="NepaliToolkit offers robust tools for validating Nepali phone numbers, postal codes, PANs, citizenship IDs, date formats, text normalization, Nepali calendar support, and administrative location data.",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/bibekjoshi01/nepali-toolkit",
    license="MIT",
    include_package_data=True,
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    packages=find_packages(),
    keywords=[
        "nepali",
        "districts",
        "municipalities",
        "validators",
        "postal codes",
        "bs",
        "b.s",
        "date",
        "datetime",
        "time",
        "timezone",
        "nepal",
        "bikram",
        "nepali-date",
        "nepali-datetime",
        "nepal-time",
        "npt",
        "nepal-timezone",
    ],
    python_requires=">=3.7",
)
